Subject: Product return - KSA - Order # 100168777/ R4931113214
From: Taqwa Ali <[email-masked]>
To: Mahmoud Omar <[email-masked]>, Tariq Alkhiat <[email-masked]>
Cc: customer care <[email-masked]>, Alaa Musa <[email-masked]>
Date: Thu, 13 Aug 2020 15:51:03 +0400
List-Id: <ccteam.mumzworld.com>

Dear Team

Please arrange collection as soon as possible, CM keeps following up

Regards
Taqwa